Subject: bug#33941: closed (Re: bug#33941: RPMB partition access by parted command)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 31 Jan 2019 00:07:02 +0000

Your bug report

#33941: RPMB partition access by parted command

which was filed against the parted package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
33941: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=33941
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#33941: RPMB partition access by parted command
From: "Brian C. Lane" <[email-masked]>
To: Rayagonda Kokatanur <[email-masked]>
Cc: [email-masked]
Date: Wed, 30 Jan 2019 16:05:53 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

On Tue, Jan 01, 2019 at 12:27:50PM +0530, Rayagonda Kokatanur wrote:
> Hi,
> 
> Parted command is trying to access RPMB partition when running "parted
> -l" in Linux and it gives following prompt, is this behavior expected
> ? How to disable this prompt, please let me know.

parted -l tries to examine everything that looks like a block device,
and it looks like you have some devices that either aren't working
right, or aren't really block devices.

The only suggestion I have is to run 'parted -s DEVICE p' on the devices
you want to examine instead of using -l.

-- 
Brian C. Lane (PST8PDT)

Subject: RPMB partition access by parted command
From: Rayagonda Kokatanur <[email-masked]>
To: [email-masked]
Date: Tue, 1 Jan 2019 12:27:50 +0530
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Parted command is trying to access RPMB partition when running "parted
-l" in Linux and it gives following prompt, is this behavior expected
? How to disable this prompt, please let me know.

root@bcm958804a8040c:~# parted -l
[645874.093160] print_req_error: I/O error, dev mmcblk0rpmb, sector 0
Model: Unknown (unknown)
Disk /dev/nvme0n1: 250GB
Sector size (logical/physical): 512B/512B
Partition Table: msdos
Disk Flags:
Number  Start   End    Size   Type     File system  Flags
 1      1049kB  250GB  250GB  primary               raid

Error: /dev/nvme3n1: unrec[645874.141879]  nvme0n1: p1
ognised disk label
Model: Unknown (unknown)
Disk /dev/nvme3n1: 250GB
Sector size (logical/physical): 512B/512B
Partition Table: unknown
Disk Flags:

Model: MMC R1J56L (sd/mmc)
Disk /dev/mmcblk0: 14.8GB
Sector size (logical/physical): 512B/512B
Partition Table: gpt
Disk Flags:
Warning: failed to translate partition name
Warning: failed to translate partition name
Warning: failed to translate partition name
Warning: failed to translate partition name
Warning: failed to translate partition name
Number  Start   End     Size    File system  Name  Flags
 1      17.4kB  537MB   537MB   fat32              boot, hidden, esp
 2      537MB   1342MB  805MB   ext4
 3      1342MB  5637MB  4295MB  ext4
 4      5637MB  9932MB  4295MB  ext4
 5      9932MB  12.1GB  2147MB

Error: /dev/mmcblk0boot0: unrecognised disk label
[645874.287565] print_req_error: I/O error, dev mmcblk0rpmb, sector 0
Model: Generic SD/MMC Storage Card (sd/mmc)
Disk /dev/mmcblk0boot0: 16.8MB
Sector size (logical/physical): 512B/512B
Partition Table: unknown
Disk Flags:

Error: /dev/mmcblk0rpmb: unrecognised disk label
Warning: Error fsyncing/closing /dev/mmcblk0rpmb: Input/output error
Retry/Ignore?

Best regard,
Rayagonda